OpenTTD Source: NetworkGameInfo Struct Reference

OpenTTD Source 15.3

Data Fields
NetworkGameInfo Struct Reference

The game information that is sent from the server to the clients with extra information only required at the client side. More...

`#include <network_game_info.h>`

Inheritance diagram for NetworkGameInfo:

## Data Fields
bool | version_compatible
| Can we connect to this server or not? (based on server_revision)
bool | compatible
| Can we connect to this server or not? (based on server_revision and grf_match.
Data Fields inherited from NetworkServerGameInfo
GRFConfigList | grfconfig
| List of NewGRF files used.
TimerGameCalendar::Date | calendar_start
| When the game started.
TimerGameCalendar::Date | calendar_date
| Current calendar date.
TimerGameTick::TickCounter | ticks_playing
| Amount of ticks the game has been running unpaused.
uint16_t | map_width
| Map width.
uint16_t | map_height
| Map height.
std::string | server_name
| Server name.
std::string | server_revision
| The version number the server is using (e.g.: 'r304' or 0.5.0)
bool | dedicated
| Is this a dedicated server?
bool | use_password
| Is this server passworded?
uint8_t | clients_on
| Current count of clients on server.
uint8_t | clients_max
| Max clients allowed on server.
uint8_t | companies_on
| How many started companies do we have.
uint8_t | companies_max
| Max companies allowed on server.
uint8_t | spectators_on
| How many spectators do we have?
LandscapeType | landscape
| The used landscape.
int | gamescript_version
| Version of the gamescript.
std::string | gamescript_name
| Name of the gamescript.

## Detailed Description

The game information that is sent from the server to the clients with extra information only required at the client side.

Definition at line 122 of file network_game_info.h.

## Field Documentation

## ◆ compatible

bool NetworkGameInfo::compatible

Can we connect to this server or not? (based on server_revision and grf_match.

Definition at line 124 of file network_game_info.h.

Referenced by NetworkGameWindow::DrawServerLine(), NetworkGameWindow::NGameAllowedSorter(), and NetworkGameWindow::OnPaint().

## ◆ version_compatible

bool NetworkGameInfo::version_compatible

Can we connect to this server or not? (based on server_revision)

Definition at line 123 of file network_game_info.h.

Referenced by NetworkGameWindow::DrawServerLine(), NetworkGameWindow::NGameAllowedSorter(), and NetworkGameWindow::OnPaint().

The documentation for this struct was generated from the following file:

- src/network/core/network_game_info.h